Bug 173981 - kernel bug at mm/prio_tree.c
kernel bug at mm/prio_tree.c
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-11-23 07:46 EST by Cyril LAMY
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 15:52:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cyril LAMY 2005-11-23 07:46:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; fr-FR; rv:1.7.12) Gecko/20050919 Firefox/1.0.7

Description of problem:
Regularly (about 1 or 2 times in a week), a kernel crash occur (I don't know how to reproduce the problem).

My config :
HP Proliant DL 580 G2 / 2x2 disk in RAID 1 on SmartArray 5i controller, CPU : 4 Xeon, RAM : 2 Go.
 
This is the logs :

Nov 23 11:16:24 pluton kernel: ------------[ cut here ]------------
Nov 23 11:16:24 pluton kernel: kernel BUG at mm/prio_tree.c:528!
Nov 23 11:16:24 pluton kernel: invalid operand: 0000 [#1]
Nov 23 11:16:24 pluton kernel: SMP Nov 23 11:16:24 pluton kernel: Modules linked in: parport_pc lp parport autofs4 nfsd exportfs lockd sunrpc md5 ipv6 dm_mirror dm_mod button battery ac ohci_
hcd cpqphp tg3 floppy ext3 jbd cciss sd_mod scsi_mod
Nov 23 11:16:24 pluton kernel: CPU:    5
Nov 23 11:16:24 pluton kernel: EIP:    0060:[<c01450b9>]    Not tainted VLI
Nov 23 11:16:24 pluton kernel: EFLAGS: 00010206   (2.6.9-22.0.1.ELsmp) Nov 23 11:16:24 pluton kernel: EIP is at vma_prio_tree_add+0x36/0x95
Nov 23 11:16:24 pluton kernel: eax: 00000010   ebx: e67c4a6c   ecx: 00000000   edx: 0000003d
Nov 23 11:16:24 pluton kernel: esi: c7678ddc   edi: f66c3830   ebp: c8119618   esp: e8625f3c
Nov 23 11:16:24 pluton kernel: ds: 007b   es: 007b   ss: 0068
Nov 23 11:16:24 pluton kernel: Process grmiregistry (pid: 11681, threadinfo=e8625000 task=ee4bce30)
Nov 23 11:16:24 pluton kernel: Stack: e67c4a6c c82bc080 c014e1aa e67c4a6c 00100077 00000000 d88d6380 c014ecea Nov 23 11:16:24 pluton kernel:        c8119618 c8119610 0000003e 00000001 00000000 f66c3780 c82bc080 0003e000 Nov 23 11:16:24 pluton kernel:        000fa000 c81195f4 c8119618 c8119610 c82bc080 c82bc0b0 e8625000 d88d6380 Nov 23 11:16:24 pluton kernel: Call Trace:
Nov 23 11:16:24 pluton kernel:  [<c014e1aa>] vma_link+0x9c/0xbc
Nov 23 11:16:24 pluton kernel:  [<c014ecea>] do_mmap_pgoff+0x50e/0x666
Nov 23 11:16:24 pluton kernel:  [<c010b67f>] sys_mmap2+0x7e/0xaf
Nov 23 11:16:24 pluton kernel:  [<c02d0fb7>] syscall_call+0x7/0xb
Nov 23 11:16:24 pluton kernel: Code: c3 39 ca 74 08 0f 0b 0f 02 f6 4b 2e c0 8b 43 08 2b 43 04 c1 e8 0c 8d 54 02 ff 8b 46 08 2b 46 04 c1 e8 0c 8d 44 01 ff 39
c2 74 08 <0f> 0b 10 02 f6 4b 2e c0 c7 43 34 00 00 00 00 83 7e 34 00 c7 43 Nov 23 11:16:24 pluton kernel:  <0>Fatal exception: panic in 5 seconds 

Version-Release number of selected component (if applicable):
kernel 2.6.9-22.0.1.ELsmp

How reproducible:
Didn't try


Additional info:
Comment 1 Jason Baron 2005-11-23 16:17:28 EST

*** This bug has been marked as a duplicate of 171778 ***
Comment 2 Jason Baron 2005-11-23 16:21:03 EST
hi,

this is a known issue. If you need a hotfix please contact support as follows:

In order to file a support issue, please
either contact Red Hat's Technical Support line at 888-GO-REDHAT or file
a web ticket at http://www.redhat.com/apps/support/.  Bugzilla is not an
official support channel, has no response guarantees, and may not route
your issue to the correct area to assist you.  Using the official support
channels above will guarantee that your issue is handled appropriately
and routed to the individual or group which can best assist you with
this issue and will also allow Red Hat to track the issue, ensuring
that any applicable bug fix is included in all releases and is not
dropped from a future update or major release.
Comment 4 Red Hat Bugzilla 2006-03-07 15:52:56 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.